
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef FORCE_SCAN_H
#define FORCE_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */


/* Structures du module */
#include "forcePosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_FORCE_FORCE_POSTER_STR ( FILE *in, FILE *out,
       struct FORCE_FORCE_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_MONITOR_POSTER_STR ( FILE *in, FILE *out,
       struct FORCE_MONITOR_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_DETECTION_POSTER_STR ( FILE *in, FILE *out,
       struct FORCE_DETECTION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_STR ( FILE *in, FILE *out,
       struct FORCE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_MONITOR_STR ( FILE *in, FILE *out,
       struct FORCE_MONITOR_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_MONITOR_DATA_STR ( FILE *in, FILE *out,
       struct FORCE_MONITOR_DATA_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_DETECT_STR ( FILE *in, FILE *out,
       struct FORCE_DETECT_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_FORCE_STATE_STR ( FILE *in, FILE *out,
       struct FORCE_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_jac7 ( FILE *in, FILE *out,
       struct Gb_jac7 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_jac ( FILE *in, FILE *out,
       struct Gb_jac *x, int indent, int nDim, int *dims );
extern int scan_enum_Gb_statusMGI ( FILE *in, FILE *out,
       enum Gb_statusMGI *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_dataMGD ( FILE *in, FILE *out,
       struct Gb_dataMGD *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_q7 ( FILE *in, FILE *out,
       struct Gb_q7 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_q6 ( FILE *in, FILE *out,
       struct Gb_q6 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_6rParameters ( FILE *in, FILE *out,
       struct Gb_6rParameters *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_quat ( FILE *in, FILE *out,
       struct Gb_quat *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_m33 ( FILE *in, FILE *out,
       struct Gb_m33 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_dep ( FILE *in, FILE *out,
       struct Gb_dep *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_th ( FILE *in, FILE *out,
       struct Gb_th *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_v6 ( FILE *in, FILE *out,
       struct Gb_v6 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_v3 ( FILE *in, FILE *out,
       struct Gb_v3 *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_force ( FILE *in, FILE *out,
       struct Gb_force *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_vitesse ( FILE *in, FILE *out,
       struct Gb_vitesse *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_objectMotion ( FILE *in, FILE *out,
       struct Gb_objectMotion *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_objectPose ( FILE *in, FILE *out,
       struct Gb_objectPose *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_euler ( FILE *in, FILE *out,
       struct Gb_euler *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_point3D ( FILE *in, FILE *out,
       struct Gb_point3D *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_point2D ( FILE *in, FILE *out,
       struct Gb_point2D *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_motionMat ( FILE *in, FILE *out,
       struct Gb_motionMat *x, int indent, int nDim, int *dims );
extern int scan_struct_Gb_thMat ( FILE *in, FILE *out,
       struct Gb_thMat *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_Gb_thMat ( FILE *in, FILE *out,
       Gb_thMat *x, int indent, int nDim, int *dims );
extern int scan_Gb_motionMat ( FILE *in, FILE *out,
       Gb_motionMat *x, int indent, int nDim, int *dims );
extern int scan_Gb_point2D ( FILE *in, FILE *out,
       Gb_point2D *x, int indent, int nDim, int *dims );
extern int scan_Gb_point3D ( FILE *in, FILE *out,
       Gb_point3D *x, int indent, int nDim, int *dims );
extern int scan_Gb_euler ( FILE *in, FILE *out,
       Gb_euler *x, int indent, int nDim, int *dims );
extern int scan_Gb_objectPose ( FILE *in, FILE *out,
       Gb_objectPose *x, int indent, int nDim, int *dims );
extern int scan_Gb_objectMotion ( FILE *in, FILE *out,
       Gb_objectMotion *x, int indent, int nDim, int *dims );
extern int scan_Gb_vitesse ( FILE *in, FILE *out,
       Gb_vitesse *x, int indent, int nDim, int *dims );
extern int scan_Gb_force ( FILE *in, FILE *out,
       Gb_force *x, int indent, int nDim, int *dims );
extern int scan_Gb_v3 ( FILE *in, FILE *out,
       Gb_v3 *x, int indent, int nDim, int *dims );
extern int scan_Gb_v6 ( FILE *in, FILE *out,
       Gb_v6 *x, int indent, int nDim, int *dims );
extern int scan_Gb_th ( FILE *in, FILE *out,
       Gb_th *x, int indent, int nDim, int *dims );
extern int scan_Gb_dep ( FILE *in, FILE *out,
       Gb_dep *x, int indent, int nDim, int *dims );
extern int scan_Gb_m33 ( FILE *in, FILE *out,
       Gb_m33 *x, int indent, int nDim, int *dims );
extern int scan_Gb_quat ( FILE *in, FILE *out,
       Gb_quat *x, int indent, int nDim, int *dims );
extern int scan_Gb_6rParameters ( FILE *in, FILE *out,
       Gb_6rParameters *x, int indent, int nDim, int *dims );
extern int scan_Gb_q6 ( FILE *in, FILE *out,
       Gb_q6 *x, int indent, int nDim, int *dims );
extern int scan_Gb_q7 ( FILE *in, FILE *out,
       Gb_q7 *x, int indent, int nDim, int *dims );
extern int scan_Gb_dataMGD ( FILE *in, FILE *out,
       Gb_dataMGD *x, int indent, int nDim, int *dims );
extern int scan_Gb_statusMGI ( FILE *in, FILE *out,
       Gb_statusMGI *x, int indent, int nDim, int *dims );
extern int scan_Gb_jac ( FILE *in, FILE *out,
       Gb_jac *x, int indent, int nDim, int *dims );
extern int scan_Gb_jac7 ( FILE *in, FILE *out,
       Gb_jac7 *x, int indent, int nDim, int *dims );
extern int scan_FORCE_STATE_STR ( FILE *in, FILE *out,
       FORCE_STATE_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_DETECT_STR ( FILE *in, FILE *out,
       FORCE_DETECT_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_MONITOR_DATA_STR ( FILE *in, FILE *out,
       FORCE_MONITOR_DATA_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_MONITOR_STR ( FILE *in, FILE *out,
       FORCE_MONITOR_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_STR ( FILE *in, FILE *out,
       FORCE_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_DETECTION_POSTER_STR ( FILE *in, FILE *out,
       FORCE_DETECTION_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_MONITOR_POSTER_STR ( FILE *in, FILE *out,
       FORCE_MONITOR_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_FORCE_FORCE_POSTER_STR ( FILE *in, FILE *out,
       FORCE_FORCE_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* FORCE_SCAN_H */

